## nototools 0~20170925

=== requirements.txt ===
booleanOperations==0.7.0
defcon==0.3.1
fonttools==3.9.1
Pillow==4.0.0
pyclipper==1.0.6
ufoLib==2.0.0

=== nototools/chart/Makefile ===
all: chart.pdf

CHART_FONTS = `cat LIST`

chart.pdf chart.ps: chart.py LIST
	@echo "Generating $@"
	@python $< $@ $(CHART_FONTS)

=== debian/changelog ===
nototools (0~20170925-1) unstable; urgency=low

  * Initial release. Closes: #848206

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 01 Nov 2017 03:04:54 -0400

=== debian/control ===
Source: nototools
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>=10),
               dh-python,
               python-all,
               python-fonttools <!nocheck>,
               python-setuptools
Standards-Version: 4.1.1
Homepage: https://github.com/googlei18n/noto-emoji
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-noto-color-emoji.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/fonts-noto-color-emoji.git

Package: python-nototools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python:Depends},
         unicode-data
Description: font support tools from the Noto Fonts project
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts.
 .
 Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.
 .
 This package contains Python scripts used to maintain the fonts.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nototools

%:
	dh $@ --with python2 --buildsystem=pybuild

# Keep one script needed for fonts-noto-color-emoji
# but rename it to drop the .py extension (Debian Policy §10.4)
# Beware installing other scripts to PATH because some like scale
# are too generic.
# create_image needs python-cairo & python-gtk2
# /usr/bin/notodiff requires python-booleanoperations
override_dh_install:
	mv debian/python-nototools/usr/bin/add_vs_cmap.py \
	   debian/python-nototools/usr/bin/add_vs_cmap
	rm debian/python-nototools/usr/bin/*.py
	rm debian/python-nototools/usr/bin/notocoverage
	rm debian/python-nototools/usr/bin/notodiff
	dh_install

=== debian/watch ===
version=4
opts=uversionmangle=s/^(\d{4})-(\d{2})-(\d{2}).*/0~$1$2$3/ \
https://github.com/googlei18n/nototools/releases \
 .*/archive/v([0-9a-z\-]*)@ARCHIVE_EXT@

## nototools 0.2.0

=== requirements.txt ===
booleanOperations==0.8.2
defcon==0.6.0
fonttools==3.44.0; python_version < '3.6'
fonttools==4.0.2; python_version >= '3.6'
Pillow==6.2.0
pyclipper==1.1.0.post1
scour==0.37

=== debian/changelog ===
nototools (0.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable (Closes: 945435)
  * Apply upstream commit c4a79c79f0da2e6385eab0d89bf5c6546b15e373
    "More updates to make Python 3 compatible" (Closes: 943761)
  * Add breaks and replaces on python-nototools.
  * Fix clean target.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 21 Dec 2019 04:07:54 +0000

nototools (0.2.0-1) experimental; urgency=medium

  * New upstream release
  * Build python3-nototools and drop python-nototools (Closes: #937162)
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-python3
  * Build-Depend on python3-coverage for build tests
  * Cherry-pick test_vertical_extension-correctly-use-local-import.patch

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 21 Oct 2019 07:04:18 -0400

=== debian/control ===
Source: nototools
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-python3,
               python3-all,
               python3-coverage <!nocheck>,
               python3-fonttools <!nocheck>,
               python3-setuptools
Standards-Version: 4.1.1
Homepage: https://github.com/googlefonts/nototools
Vcs-Git: https://salsa.debian.org/fonts-team/nototools.git
Vcs-Browser: https://salsa.debian.org/fonts-team/nototools

Package: python3-nototools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         unicode-data
Breaks: python-nototools
Replaces: python-nototools
Description: font support tools from the Noto Fonts project
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts.
 .
 Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.
 .
 This package contains Python scripts used to maintain the fonts.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nototools

%:
	dh $@ --buildsystem=pybuild

# Keep one script needed for fonts-noto-color-emoji
# but rename it to drop the .py extension (Debian Policy §10.4)
# Beware installing other scripts to PATH because some like scale
# are too generic.
# create_image needs python3-cairo
# /usr/bin/notodiff requires python3-booleanoperations
override_dh_install:
	mv debian/python3-nototools/usr/bin/add_vs_cmap.py \
	   debian/python3-nototools/usr/bin/add_vs_cmap
	rm debian/python3-nototools/usr/bin/*.py
	rm debian/python3-nototools/usr/bin/notocoverage
	rm debian/python3-nototools/usr/bin/notodiff
	dh_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf nototools.egg-info

## nototools 0.2.13

=== requirements.txt ===
afdko==3.4.0
appdirs==1.4.4
attrs==19.3.0
black==19.10b0
booleanOperations==0.9.0
Brotli==1.0.7
click==7.1.2
cu2qu==1.6.7
defcon==0.6.0
fontMath==0.6.0
fontParts==0.9.2
fontPens==0.2.4
fonttools==4.11.0
fs==2.4.11
lxml==4.5.1
MutatorMath==3.0.1
pathspec==0.8.0
Pillow==7.1.2
psautohint==2.0.1
pyclipper==1.1.0.post1
pytz==2020.1
regex==2020.5.14
scour==0.37
six==1.15.0
toml==0.10.1
typed-ast==1.4.1
ufonormalizer==0.4.1
ufoProcessor==1.9.0
unicodedata2==13.0.0.post2
zopfli==0.1.7

=== debian/changelog ===
nototools (0.2.13-2) unstable; urgency=high

  * Team upload.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compat to v13.
  * debian/rules: Use dh13 syntax.
  * debian/rules: Remove modified nototools/_version.py to avoid
    FTBFS. (Closes: #973061)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Feb 2021 09:29:39 -0500

nototools (0.2.13-1) unstable; urgency=medium

  * New upstream version 0.2.13
  * Drop all patches: applied in new release
  * Build-Depend on python3-setuptools-scm

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 28 Sep 2020 18:11:13 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-coverage <!nocheck>,
                python3-fonttools <!nocheck>,
-               python3-setuptools
-Standards-Version: 4.1.1
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.5.1
 Homepage: https://github.com/googlefonts/nototools
 Vcs-Git: https://salsa.debian.org/fonts-team/nototools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/nototools

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,14 @@
 # are too generic.
 # create_image needs python3-cairo
 # /usr/bin/notodiff requires python3-booleanoperations
-override_dh_install:
+execute_before_dh_install:
 	mv debian/python3-nototools/usr/bin/add_vs_cmap.py \
 	   debian/python3-nototools/usr/bin/add_vs_cmap
 	rm debian/python3-nototools/usr/bin/*.py
 	rm debian/python3-nototools/usr/bin/notocoverage
 	rm debian/python3-nototools/usr/bin/notodiff
-	dh_install
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf nototools.egg-info
+	# https://bugs.debian.org/973061
+	rm nototools/_version.py

=== debian/watch ===
version=4
https://github.com/googlei18n/nototools/releases \
 .*/archive/v([\d\.]+)@ARCHIVE_EXT@

## nototools 0.2.16

=== requirements.txt ===
afdko==3.4.0
appdirs==1.4.4
attrs==19.3.0
black==21.8b0
booleanOperations==0.9.0
Brotli==1.0.7
click==7.1.2
cu2qu==1.6.7
defcon==0.6.0
fontMath==0.6.0
fontParts==0.9.2
fontPens==0.2.4
fonttools==4.11.0
fs==2.4.11
lxml==4.6.3
MutatorMath==3.0.1
pathspec>=0.9.0
Pillow==8.3.2
psautohint==2.0.1
pyclipper==1.2.1
pytz==2020.1
regex==2020.5.14
scour==0.37
six==1.15.0
toml==0.10.1
typed-ast>=1.4.2
ufonormalizer==0.4.1
ufoProcessor==1.9.0
unicodedata2==13.0.0.post2
zopfli==0.1.7

=== debian/changelog ===
nototools (0.2.16-1) unstable; urgency=medium

  * New upstream version 0.2.16
  * Bump minimum python3 to 3.7

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 12:40:31 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python3-all,
+               python3-all (>= 3.7),
                python3-coverage <!nocheck>,
                python3-fonttools <!nocheck>,
                python3-setuptools,

## nototools 0.2.17

=== Makefile ===
#  Copyright 2013 Google Inc. All Rights Reserved
#  Author: thaths@google.com (Sudhakar "Thaths" Chandra)
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
TAR=$(shell which tar)
ZIP=$(shell which zip)
RM=$(shell which rm)
LN=$(shell which ln)
MKDIR=$(shell which mkdir)

SCALETOOL=./nototools/scale.py
SUBSETTOOL=./nototools/subset.py

TODAY=$(shell date "+%Y-%m-%d")

TARBALLDIR=packages
ZIPDIR=packages-zip
ANDROIDDIR=packages/android
CROSDIR=packages/cros
HINTEDFONTDIR=../noto-fonts/hinted
UNHINTEDFONTDIR=../noto-fonts/unhinted

UNHINTEDFONTS=$(shell find $(UNHINTEDFONTDIR) -name "*.ttf")
ANDROIDFONTS=$(UNHINTEDFONTS:$(UNHINTEDFONTDIR)/%=$(ANDROIDDIR)/%)

HINTEDFONTS=$(shell find $(HINTEDFONTDIR) -name "*.ttf")
CROSFONTS=$(HINTEDFONTS:$(HINTEDFONTDIR)/%=$(CROSDIR)/%)

all: tarball zip

$(TARBALLDIR) $(ZIPDIR):
	$(MKDIR) -p $@

tarball: hintedtarball unhintedtarball

hintedtarball: $(HINTEDFONTDIR)/*.ttf cleanhintedtarball $(TARBALLDIR)
	$(TAR) zcvf $(TARBALLDIR)/NotoFonts-hinted-$(TODAY).tgz $(HINTEDFONTDIR)/Noto*.ttf LICENSE
	cd $(TARBALLDIR); ln -s NotoFonts-hinted-$(TODAY).tgz NotoFonts-hinted-latest.tgz

unhintedtarball: $(UNHINTEDFONTDIR)/*.ttf cleanunhintedtarball $(TARBALLDIR)
	$(TAR) zcvf $(TARBALLDIR)/NotoFonts-unhinted-$(TODAY).tgz $(UNHINTEDFONTDIR)/Noto*.ttf LICENSE
	cd $(TARBALLDIR); ln -s NotoFonts-unhinted-$(TODAY).tgz NotoFonts-unhinted-latest.tgz

zip: hintedzip unhintedzip

hintedzip: $(HINTEDFONTDIR)/*.ttf cleanhintedzip $(ZIPDIR)
	$(ZIP) $(ZIPDIR)/NotoFonts-hinted-$(TODAY).zip $(HINTEDFONTDIR)/Noto*.ttf LICENSE
	cd $(ZIPDIR); ln -s NotoFonts-hinted-$(TODAY).zip NotoFonts-hinted-latest.zip

unhintedzip: $(UNHINTEDFONTDIR)/*.ttf cleanunhintedzip $(ZIPDIR)
	$(ZIP) $(ZIPDIR)/NotoFonts-unhinted-$(TODAY).zip $(UNHINTEDFONTDIR)/Noto*.ttf LICENSE
	cd $(ZIPDIR); ln -s NotoFonts-unhinted-$(TODAY).zip NotoFonts-unhinted-latest.zip

android: $(ANDROIDFONTS)

$(ANDROIDDIR)/%.ttf: $(UNHINTEDFONTDIR)/%.ttf
	@$(MKDIR) -p $(ANDROIDDIR)
	@echo Compressing $(notdir $<)
	@if [[ $< == *"TamilUI"* || $< == *"MalayalamUI"* ]]; then \
	    subsetted=$$(mktemp); \
	    $(SUBSETTOOL) $< $$subsetted; \
	    echo Scaling $(notdir $<); \
	    $(SCALETOOL) 0.9 $$subsetted $@; \
	else \
	    $(SUBSETTOOL) $< $@; \
	fi

cros: $(CROSFONTS)

$(CROSDIR)/%.ttf: $(HINTEDFONTDIR)/%.ttf
	@$(MKDIR) -p $(CROSDIR)
	$(SUBSETTOOL) $< $@; \

clean: cleantarball cleanzip

cleantarball: cleanhintedtarball cleanunhintedtarball

cleanhintedtarball:
	$(RM) -f $(TARBALLDIR)/NotoFonts-hinted-$(TODAY).tgz
	$(RM) -f $(TARBALLDIR)/NotoFonts-hinted-latest.tgz

cleanunhintedtarball:
	$(RM) -f $(TARBALLDIR)/NotoFonts-unhinted-$(TODAY).tgz
	$(RM) -f $(TARBALLDIR)/NotoFonts-unhinted-latest.tgz

cleanzip: cleanhintedzip cleanunhintedzip

cleanhintedzip:
	$(RM) -f $(ZIPDIR)/NotoFonts-hinted-$(TODAY).zip
	$(RM) -f $(ZIPDIR)/NotoFonts-hinted-latest.zip

cleanunhintedzip:
	$(RM) -f $(ZIPDIR)/NotoFonts-unhinted-$(TODAY).zip
	$(RM) -f $(ZIPDIR)/NotoFonts-unhinted-latest.zip

cleanandroid:
	$(RM) -rf $(ANDROIDDIR)

=== requirements.txt ===
afdko==3.9.1
appdirs==1.4.4
attrs==21.4.0
black==22.6.0
booleanOperations==0.9.0
Brotli==1.0.9
click==8.1.3
cu2qu==1.6.7.post1
defcon==0.10.2
fontMath==0.9.2
fontParts==0.10.7
fontPens==0.2.4
fonttools==4.34.4
fs==2.4.16
lxml==4.9.1
MutatorMath==3.0.1
pathspec>=0.9.0
Pillow==9.2.0
psautohint>=2.4.0
pyclipper==1.3.0.post3
pytz==2022.1
regex==2022.7.25
scour==0.38.2
six==1.16.0
toml==0.10.2
typed-ast>=1.4.2
ufonormalizer==0.6.1
ufoProcessor==1.9.0
unicodedata2==14.0.0
zopfli==0.2.1

=== nototools/glyph_image/Makefile ===
# makefile for glyph-image

CFLAGS = -std=c99 -Wall -Wextra `pkg-config --cflags --libs freetype2`
LDFLAGS = -lm `pkg-config --libs freetype2`

glyph_image: glyph_image.c
	$(CC) $< -o $@ $(CFLAGS) $(LDFLAGS)

=== debian/changelog ===
nototools (0.2.17-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 06:50:52 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all (>= 3.7),

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,6 @@
 	rm debian/python3-nototools/usr/bin/notodiff
 
 execute_after_dh_auto_clean:
-	rm -rf nototools.egg-info
+	rm -rf notofonttools*.egg-info
 	# https://bugs.debian.org/973061
 	rm nototools/_version.py

=== debian/watch ===
version=4
https://github.com/googlefonts/@PACKAGE@/tags \
 .*/v*@ANY_VERSION@@ARCHIVE_EXT@

## nototools 0.3.2

=== requirements.txt ===
afdko==4.0.0
appdirs==1.4.4
attrs==23.1.0
black==24.4.2
booleanOperations==0.9.0
Brotli==1.1.0
click==8.1.7
cu2qu==1.6.7.post2
defcon==0.10.3
fontMath==0.9.3
fontParts==0.12.1
fontPens==0.2.4
fonttools==4.53.0
fs==2.4.16
lxml==5.2.2
MutatorMath==3.0.1
pathspec>=0.9.0
Pillow==10.3.0
psautohint>=2.4.0
pyclipper==1.3.0.post5
pytz==2023.3
regex==2023.10.3
scour==0.38.2
six==1.16.0
toml==0.10.2
typed-ast>=1.4.2
ufonormalizer==0.6.1
ufoProcessor==1.9.0
unicodedata2==15.1.0
zopfli==0.2.3

=== debian/changelog ===
nototools (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Enable Testsuite: autopkgtest-pkg-pybuild.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/control: Add (build-)depends and depends on afdko.
  * debian/patches/Call-debian-specific-afdko-ttxn-tool.patch:
    Add patch to fix invocation of "ttxn" command-line tool in
    Debian-specific environment.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Jan 2026 18:22:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: nototools
 Section: fonts
-Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               afdko <!nocheck>,
                python3-all (>= 3.7),
                python3-coverage <!nocheck>,
                python3-fonttools <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.5.1
+               python3-setuptools-scm,
+Standards-Version: 4.7.3
 Homepage: https://github.com/googlefonts/nototools
 Vcs-Git: https://salsa.debian.org/fonts-team/nototools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/nototools
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-nototools
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
+         afdko,
          unicode-data
 Breaks: python-nototools
 Replaces: python-nototools
